Create a transfer
curl --request POST \
--url https://api.modempay.com/v1/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"amount": 100,
"currency": "GMD",
"network": "afrimoney",
"account_number": "7012345",
"beneficiary_name": "<string>"
}
'import requests
url = "https://api.modempay.com/v1/transfers"
payload = {
"amount": 100,
"currency": "GMD",
"network": "afrimoney",
"account_number": "7012345",
"beneficiary_name": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 100,
currency: 'GMD',
network: 'afrimoney',
account_number: '7012345',
beneficiary_name: '<string>'
})
};
fetch('https://api.modempay.com/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"status": "<string>"
}Transfers
Create a transfer
POST
/
v1
/
transfers
Create a transfer
Authorizations
Use your Modem Pay secret key.
- Test environment: Use your
sk_test_...key. - Production environment: Only use
sk_live_...on your personal, secure machine. Do NOT share or commit your production keys.
Headers
Body
application/json
⌘I
